Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(10)  |  Call(10)  |  Derive(0)  |  Import(0)

src/l/a/ladybug-HEAD/src/Ladybug_ShadingDesigner.py   ladybug(Download)
                    # find the union the curves with the boundary of the shading
                    if mergeVectors_ == True:
                        unionedProjectedCrvs =rc.Geometry.Curve.CreateBooleanUnion(projectedCrvs)
                        if len(unionedProjectedCrvs) == 0:
                            unionedProjectedCrvs = rc.Geometry.Curve.JoinCurves(projectedCrvs)
 
                        try:
                            pUnionedProjectedCrvs =rc.Geometry.Curve.CreateBooleanUnion(pProjectedCrvs)[0]
                            unionedProjectedCrvs = rc.Geometry.Curve.ProjectToBrep(pUnionedProjectedCrvs, optionalShdSrf_, rc.Geometry.Vector3d.ZAxis, sc.doc.ModelAbsoluteTolerance)
                        except:

src/l/a/ladybug-HEAD/src/Ladybug_view Rose.py   ladybug(Download)
def getOutlineCrvs(closedCrvs):
    crvList = [] #create a list to convert the array to list
    outlineCrvs = rc.Geometry.Curve.CreateBooleanUnion(closedCrvs)
    if outlineCrvs: crvList.extend(outlineCrvs)
    else: crvList.extend(closedCrvs)
 
             try:
                 uniTriangles = rc.Geometry.Curve.CreateBooleanUnion(triangles)[0]
 
             except Exception, e:
                 #return [], [], []
 
        uOutlines = rc.Geometry.Curve.CreateBooleanUnion(outlines)
        if not uOutlines: uOutlines = outlines
 

src/l/a/ladybug-HEAD/src/Ladybug_Shading Mask_II.py   ladybug(Download)
        #print thisFaceCurves
        # union curves
        unionedCrv = rc.Geometry.Curve.CreateBooleanUnion(thisFaceCurves)
        #print unionedCrv
        if len(unionedCrv)> 0:
    # merge all the curves
    if merge:
        mergedPlanarCurves = rc.Geometry.Curve.CreateBooleanUnion(planarCurves)
        if len(mergedPlanarCurves)!=0:
            planarCurves = mergedPlanarCurves

src/r/h/rhinopython-HEAD/scripts/rhinoscript/curve.py   rhinopython(Download)
    in_curves = [rhutil.coercecurve(id,-1,True) for id in curve_id]
    if len(in_curves)<2: raise ValueException("curve_id must have at least 2 curves")
    out_curves = Rhino.Geometry.Curve.CreateBooleanUnion(in_curves)
    curves = []
    if out_curves:

src/l/a/ladybug-HEAD/src/Ladybug_SolarFan.py   ladybug(Download)
        # find the union the curves with the boundary of the shading
        if mergeCrvs == True:
            unionedProjectedCrvs =rc.Geometry.Curve.CreateBooleanUnion(projectedCrvs)
            if len(unionedProjectedCrvs) == 0:
                unionedProjectedCrvs = rc.Geometry.Curve.JoinCurves(projectedCrvs)

src/l/a/ladybug-HEAD/src/Ladybug_Shadow Study.py   ladybug(Download)
 
            # boolean union all the shadows on the same surface
            uShadowCrv = rc.Geometry.Curve.CreateBooleanUnion(shadowCrvs)
            if len(uShadowCrv)!=0:
                for c in uShadowCrv: shadowCrvsCollection.append(c)